Package org.eclipse.m2m.atl.adt.ui.corext.doc

# Class SingleCharReader

java.lang.Object
java.io.Reader
org.eclipse.m2m.atl.adt.ui.corext.doc.SingleCharReader

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `Readable`

Direct Known Subclasses:
  `AtlCodeReader`

public abstract class SingleCharReader extends Reader

## Field Summary

### Fields inherited from class java.io.Reader

`lock`

## Constructor Summary

Constructors
Constructor
Description
`SingleCharReader()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getString()`
Gets the content as a String
`int`
`read(char[] cbuf, int off, int len)`
`boolean`
`ready()`

### Methods inherited from class java.io.Reader

`close, mark, markSupported, nullReader, read, read, read, reset, skip, transferTo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SingleCharReader

public SingleCharReader()

## Method Details

### getString

public String getString() throws IOException
Gets the content as a String

Throws:
  `IOException`

### read

public int read(char[] cbuf, int off, int len) throws IOException

Specified by:
  `read` in class `Reader`
Throws:
  `IOException`
See Also:
  - `Reader.read(char[], int, int)`

### ready

public boolean ready() throws IOException

Overrides:
  `ready` in class `Reader`
Throws:
  `IOException`
See Also:
  - `Reader.ready()`